import {createAsyncThunk} from "@reduxjs/toolkit";
import axiosApi from "../../api/axiosApi";
import {setError} from "../services/usersSlice";

export const registerUser = createAsyncThunk(
    'users/register',
    async (payload, {dispatch}) => await axiosApi
        .post('/users', payload.data)
        .then(res => payload.callback())
        .catch(e => {
            if (e?.response?.data) dispatch(setError(e.response.data));
            throw e;
        })
);
